%define snapshot 20130225
%define rel 2
%if %snapshot
%define release %mkrel 0.git%snapshot.%rel
%else
%define release %mkrel %rel
%endif

Summary:	GTK+2 toolkit for php
Name:		php-gtk2
Version:	2.0.3
Release:	%release
Group:		Development/PHP
License:	LGPLv2.1
URL:		http://gtk.php.net/
Source0:	https://github.com/php/php-gtk-src/php-gtk2-%{version}-0.git%{snapshot}.tar.gz
Source1:	php_cairo_api.h
Patch0:		cairo_local_path.patch
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	glib2-devel >= 2.6.0
BuildRequires:	gtk+2-devel >= 2.6.9
BuildRequires:	libpango-devel >= 1.8.0
BuildRequires:	php-mbstring
BuildRequires:	libglade2.0-devel >= 2.4.0
BuildRequires:	php-cairo
BuildRequires:	php-cli >= 3:5.3.0
Requires:	php-cli >= 3:5.3.0
Epoch:		2

%description
PHP-GTK is an extension for PHP programming language that implements language
bindings for GTK+ toolkit. It provides an object-oriented interface to GTK+
classes and functions and greatly simplifies writing client side cross-platform
GUI applications.

%prep
%setup -q -n php-gtk2
%patch0 -p0

cp %{SOURCE1} main/php_cairo_api.h

for i in `find . -type d -name .git`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

%build
%serverbuild
rm -f configure
rm -rf autom4te.cache
./buildconf

%configure2_5x \
    --with-libdir=%{_lib}

# We use our own libtool, and apply some fixes
%{__rm} libtool
ln -s %{_bindir}/libtool libtool

sed -i.orig 's/compile $(CC)/compile --tag=CC $(CC)/g' Makefile
sed -i.orig 's/link $(CC)/link --tag=CC $(CC)/g' Makefile

# link some files in order to have enough gtk support for not released yet 2.19 gtk
pushd ext/gtk+/
ln -s gtk-2.18.defs gtk-2.19.defs
ln -s gtk-2.18.overrides gtk-2.19.overrides
ln -s gtk-2.18-types.defs gtk-2.19-types.defs
popd

make

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_libdir}/php/extensions

install -m0755 modules/php_gtk2.so %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/A99_gtk2.ini << EOF
extension = php_gtk2.so

[php-gtk]

;php-gtk.codepage = iso-8859-1
;php-gtk.extensions = 

EOF


%files
%doc demos AUTHORS ChangeLog NEWS README* TODO2
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/*
%{_libdir}/php/extensions/php_gtk2.so




%changelog

* Tue Feb 26 2013 spuhler <spuhler> 2:2.0.3-0.git20130225.2.mga3
+ Revision: 400386
- changed the source to https://github.com/php/php-gtk-src
  bumped rel

* Mon Feb 25 2013 spuhler <spuhler> 2:2.0.3-0.git20130225.1.mga3
+ Revision: 400328
- changed %%make to make
- moved back from obsoletes
  upgraded to git20130225 to make it build with php-5.4
- some packages depend on it
- package doesn't build and has not been maintained upstream for 2 years

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 19 2012 luigiwalser <luigiwalser> 2:2.0.3-0.svn20120102.2.mga2
+ Revision: 223900
- httpd restart is handled by filetriggers now

* Tue Jan 03 2012 spuhler <spuhler> 2:2.0.3-0.svn20120102.1.mga2
+ Revision: 189783
- upgrade to svn 20120102

* Tue Dec 20 2011 spuhler <spuhler> 2:2.0.3-0.svn305683.9.mga2
+ Revision: 185033
- rebuild against php-5.3.9

* Sun Dec 04 2011 spuhler <spuhler> 2:2.0.3-0.svn305683.8.mga2
+ Revision: 175841
- cleaned up spec file

* Sun Dec 04 2011 spuhler <spuhler> 2:2.0.3-0.svn305683.7.mga2
+ Revision: 175762
- commented out %%define _requires_exceptions pear(EventGenerator.config.php)\\|pear(bugconfig.php)
  deleted Conflicts: apache-mod_php

* Sun Mar 27 2011 spuhler <spuhler> 2:2.0.3-0.svn305683.6.mga1
+ Revision: 77941
- increased rel for rebuild

* Sun Feb 06 2011 spuhler <spuhler> 2:2.0.3-0.svn305683.5.mga1
+ Revision: 47959
- removed buildroot definition from .spec
- imported package php-gtk2

